package pizza;

import java.awt.EventQueue;
import java.util.Arrays;
import java.util.List;

public class Runner
{
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				new OrderWindow(createTodaysPizzaList()).setVisible(true);
			}
		});
	}

	private static List<Pizza> createTodaysPizzaList() {
		Pizza p1 = new Pizza("Quattro Formaggi", normalToChildrenPrice(760), Pizza.SIZE_CHILDRENS);
		Pizza p2 = new Pizza("Quattro Formaggi", 760, Pizza.SIZE_NORMAL);
		Pizza p3 = new Pizza("Quattro Formaggi", normalToXXLPrice(760), Pizza.SIZE_XXL);
		Pizza p4 = new Pizza("Salami", normalToChildrenPrice(860), Pizza.SIZE_CHILDRENS);
		Pizza p5 = new Pizza("Salami", 860, Pizza.SIZE_NORMAL);
		Pizza p6 = new Pizza("Salami", normalToXXLPrice(860), Pizza.SIZE_XXL);
		Pizza p7 = new Pizza("Diavolo", normalToChildrenPrice(900), Pizza.SIZE_CHILDRENS);
		Pizza p8 = new Pizza("Diavolo", 900, Pizza.SIZE_NORMAL);
		Pizza p9 = new Pizza("Diavolo", normalToXXLPrice(900), Pizza.SIZE_XXL);
		return Arrays.asList(p1, p2, p3, p4, p5, p6, p7, p8, p9);
	}

	private static int normalToChildrenPrice(int normalPriceInCent) {
		return (int) (normalPriceInCent * 0.5);
	}

	private static int normalToXXLPrice(int normalPriceInCent) {
		return (int) (normalPriceInCent * 1.5);
	}
}
